deville deville - 3 months ago 25
iOS Question

Application Loader: ERROR ITMS-90502

I am trying to upload a new build to TestFlight, but Application Loader gives me the following error:

ERROR ITMS-90502: "Invalid Bundle. Apps that only contain the arm64 slice must
also have 'arm64' in the list of UIRequiredDeviceCapabilities in Info.plist."


If I add
arm64
to
UIRequiredDeviceCapabilities
as suggested, I get another error:

ERROR ITMS-90098: "This bundle is invalid. The key UIRequiredDeviceCapabilities contains
value 'arm64' which is incompatible with the MinimumOSVersion value of '8.0'."


Google search does not seem to reveal anything.

I am not sure what causes this problem and why bundle only contains
arm64
architecture. I checked project settings and they seem to include other architectures.
ARCHS
(Architectures) is set to
Standard architectures (armv7, arm64)
,
VALID_ARCHS
(Valid Architectures) is set to
arm64 armv7 armv7s
.

It's been a while since I tried to upload the last build (~1 month). Did one of the updates from Apple break something? (I definitely haven't touched architecture settings since then, the only thing added was
UIBackgroundModes = remote-notification
). Or is there some other reason for this error?

Answer

Never mind, found the problem. The configuration which I used to build archive had Build Active Architecture Only set to Yes. Silly me.